Subject: Re: [PATCH v2] dpaa2-switch: fix flooding domain among multiple vlans

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Sep 2024 18:37:23 -0700

On Mon,  2 Sep 2024 20:43:18 +0800 Wan Junjie wrote:
> > > -static u16 dpaa2_switch_port_get_fdb_id(struct ethsw_port_priv *port_priv)
> > > +static u16 dpaa2_switch_port_get_fdb_id(struct ethsw_port_priv *port_priv, u16 vid)  
> > 
> > This, and several other lines in this patch, could be trivially
> > line wrapped in order for them to be <= 80 columns wide, as is
> > still preferred in Networking code.
> > 
> > This and a number of other minor problems are flagged by:
> > ./scripts/checkpatch.pl --strict --codespell --max-line-length=80  
> 
> It is hard to keep all lines limited to the length of 80 since some function
> names are really long. I have tried to make the line length to 85 without
> breaking some if conditions into multiple lines. You will see in v3.

FWIW it's relatively common to break the line after return type:

static u16
dpaa2_switch_port_get_fdb_id(struct ethsw_port_priv *port_priv, u16 vid)